Export Blacklist
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/blacklist/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"perPage": null,
"orderColumn": null,
"orderDirection": null,
"id": null,
"types": null,
"match_type": null,
"value": null,
"reason": null,
"message": null,
"payment_method_ids": null,
"enabled": null,
"active_from": null,
"active_to": null,
"created_at_from": null,
"created_at_to": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/blacklist/export"
payload = {
"page": 1,
"perPage": None,
"orderColumn": None,
"orderDirection": None,
"id": None,
"types": None,
"match_type": None,
"value": None,
"reason": None,
"message": None,
"payment_method_ids": None,
"enabled": None,
"active_from": None,
"active_to": None,
"created_at_from": None,
"created_at_to": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: 1,
perPage: null,
orderColumn: null,
orderDirection: null,
id: null,
types: null,
match_type: null,
value: null,
reason: null,
message: null,
payment_method_ids: null,
enabled: null,
active_from: null,
active_to: null,
created_at_from: null,
created_at_to: null
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/blacklist/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/blacklist/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'page' => 1,
'perPage' => null,
'orderColumn' => null,
'orderDirection' => null,
'id' => null,
'types' => null,
'match_type' => null,
'value' => null,
'reason' => null,
'message' => null,
'payment_method_ids' => null,
'enabled' => null,
'active_from' => null,
'active_to' => null,
'created_at_from' => null,
'created_at_to' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/blacklist/export"
payload := strings.NewReader("{\n \"page\": 1,\n \"perPage\": null,\n \"orderColumn\": null,\n \"orderDirection\": null,\n \"id\": null,\n \"types\": null,\n \"match_type\": null,\n \"value\": null,\n \"reason\": null,\n \"message\": null,\n \"payment_method_ids\": null,\n \"enabled\": null,\n \"active_from\": null,\n \"active_to\": null,\n \"created_at_from\": null,\n \"created_at_to\": null\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sellauth.com/v1/shops/{shopId}/blacklist/export")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"page\": 1,\n \"perPage\": null,\n \"orderColumn\": null,\n \"orderDirection\": null,\n \"id\": null,\n \"types\": null,\n \"match_type\": null,\n \"value\": null,\n \"reason\": null,\n \"message\": null,\n \"payment_method_ids\": null,\n \"enabled\": null,\n \"active_from\": null,\n \"active_to\": null,\n \"created_at_from\": null,\n \"created_at_to\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/blacklist/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"page\": 1,\n \"perPage\": null,\n \"orderColumn\": null,\n \"orderDirection\": null,\n \"id\": null,\n \"types\": null,\n \"match_type\": null,\n \"value\": null,\n \"reason\": null,\n \"message\": null,\n \"payment_method_ids\": null,\n \"enabled\": null,\n \"active_from\": null,\n \"active_to\": null,\n \"created_at_from\": null,\n \"created_at_to\": null\n}"
response = http.request(request)
puts response.read_bodyID,Type,Match Type,Value,Reason,Message,Enabled,Payment Method IDs,Active From,Active To,Created At,Updated At
1,email,exact,blocked@sellauth.test,Example entry,,1,,,,2026-07-24 12:00:00,2026-07-24 12:00:00Blacklist
Export Blacklist
Exports the blacklist entries to CSV. Accepts the same filters as Get Blacklist. Limited to 50000 rows.
GET
/
v1
/
shops
/
{shopId}
/
blacklist
/
export
Export Blacklist
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/blacklist/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"perPage": null,
"orderColumn": null,
"orderDirection": null,
"id": null,
"types": null,
"match_type": null,
"value": null,
"reason": null,
"message": null,
"payment_method_ids": null,
"enabled": null,
"active_from": null,
"active_to": null,
"created_at_from": null,
"created_at_to": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/blacklist/export"
payload = {
"page": 1,
"perPage": None,
"orderColumn": None,
"orderDirection": None,
"id": None,
"types": None,
"match_type": None,
"value": None,
"reason": None,
"message": None,
"payment_method_ids": None,
"enabled": None,
"active_from": None,
"active_to": None,
"created_at_from": None,
"created_at_to": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: 1,
perPage: null,
orderColumn: null,
orderDirection: null,
id: null,
types: null,
match_type: null,
value: null,
reason: null,
message: null,
payment_method_ids: null,
enabled: null,
active_from: null,
active_to: null,
created_at_from: null,
created_at_to: null
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/blacklist/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/blacklist/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'page' => 1,
'perPage' => null,
'orderColumn' => null,
'orderDirection' => null,
'id' => null,
'types' => null,
'match_type' => null,
'value' => null,
'reason' => null,
'message' => null,
'payment_method_ids' => null,
'enabled' => null,
'active_from' => null,
'active_to' => null,
'created_at_from' => null,
'created_at_to' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/blacklist/export"
payload := strings.NewReader("{\n \"page\": 1,\n \"perPage\": null,\n \"orderColumn\": null,\n \"orderDirection\": null,\n \"id\": null,\n \"types\": null,\n \"match_type\": null,\n \"value\": null,\n \"reason\": null,\n \"message\": null,\n \"payment_method_ids\": null,\n \"enabled\": null,\n \"active_from\": null,\n \"active_to\": null,\n \"created_at_from\": null,\n \"created_at_to\": null\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sellauth.com/v1/shops/{shopId}/blacklist/export")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"page\": 1,\n \"perPage\": null,\n \"orderColumn\": null,\n \"orderDirection\": null,\n \"id\": null,\n \"types\": null,\n \"match_type\": null,\n \"value\": null,\n \"reason\": null,\n \"message\": null,\n \"payment_method_ids\": null,\n \"enabled\": null,\n \"active_from\": null,\n \"active_to\": null,\n \"created_at_from\": null,\n \"created_at_to\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/blacklist/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"page\": 1,\n \"perPage\": null,\n \"orderColumn\": null,\n \"orderDirection\": null,\n \"id\": null,\n \"types\": null,\n \"match_type\": null,\n \"value\": null,\n \"reason\": null,\n \"message\": null,\n \"payment_method_ids\": null,\n \"enabled\": null,\n \"active_from\": null,\n \"active_to\": null,\n \"created_at_from\": null,\n \"created_at_to\": null\n}"
response = http.request(request)
puts response.read_bodyID,Type,Match Type,Value,Reason,Message,Enabled,Payment Method IDs,Active From,Active To,Created At,Updated At
1,email,exact,blocked@sellauth.test,Example entry,,1,,,,2026-07-24 12:00:00,2026-07-24 12:00:00Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Body
application/json
Response
200 - text/plain
CSV file download
The response is of type string.
Example:
"ID,Type,Match Type,Value,Reason,Message,Enabled,Payment Method IDs,Active From,Active To,Created At,Updated At\n1,email,exact,blocked@sellauth.test,Example entry,,1,,,,2026-07-24 12:00:00,2026-07-24 12:00:00"